Package com.complexible.stardog.jena

# Class SDJenaFactory

java.lang.Object
com.complexible.stardog.jena.SDJenaFactory

public final class SDJenaFactory extends Object

Factory for obtaining instances of the Jena framework core, specifically `Models` and `Datasets`, which are backed by Stardog.

Since:
  0.3.3
Version:
  6.0
Author:
  Michael Grove

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Dataset`
  `createDataset(Connection theConn)`
  Create a Jena Dataset backed by Stardog
  `static Dataset`
  `createDatasetWithNamespaces(Connection theConn)`
  Create a Jena Dataset backed by Stardog and exposes the namespaces stored in the database
  `static Model`
  `createModel(Connection theConn)`
  Create a Jena Model backed by Stardog
  `static Model`
  `createModelWithNamespaces(Connection theConn)`
  Create a Jena Model backed by Stardog and exposes the namespaces stored in the database

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### createDataset

    public static Dataset createDataset(Connection theConn) throws StardogException
    Create a Jena Dataset backed by Stardog
    Parameters:
      `theConn` - the stardog connection
    Returns:
      a Jena Dataset backed by stardog
    Throws:
      `StardogException` - if there is an error establishing the connection

  - ### createModel

    public static Model createModel(Connection theConn) throws StardogException
    Create a Jena Model backed by Stardog
    Parameters:
      `theConn` - the stardog connection
    Returns:
      a Jena Model backed by Stardog
    Throws:
      `StardogException` - if there is an error establishing the connection

  - ### createDatasetWithNamespaces

    public static Dataset createDatasetWithNamespaces(Connection theConn) throws StardogException
    Create a Jena Dataset backed by Stardog and exposes the namespaces stored in the database
    Parameters:
      `theConn` - the stardog connection
    Returns:
      a Jena Dataset backed by stardog
    Throws:
      `StardogException` - if there is an error establishing the connection

  - ### createModelWithNamespaces

    public static Model createModelWithNamespaces(Connection theConn) throws StardogException
    Create a Jena Model backed by Stardog and exposes the namespaces stored in the database
    Parameters:
      `theConn` - the stardog connection
    Returns:
      a Jena Model backed by Stardog
    Throws:
      `StardogException` - if there is an error establishing the connection